Bug Hunting Session
Bug 61225 - Deadlock when hovering mouse while installing extension
Summary: Deadlock when hovering mouse while installing extension
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Extension-Manager
  Show dependency treegraph
 
Reported: 2013-02-21 11:07 UTC by Stephan Bergmann
Modified: 2018-09-15 18:51 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stephan Bergmann 2013-02-21 11:07:23 UTC
Managed to get master build to hang while in the process of adding an extension in the Extension Manager UI and apparently hovering the mouse so that the main thread wants to obtain some help text:

> Thread 5 (Thread 0x7f8fd49d9700 (LWP 7178)):
> #0  __lll_lock_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:135
> #1  0x0000003c80a09cc1 in _L_lock_885 () from /lib64/libpthread.so.0
> #2  0x0000003c80a09bda in __GI___pthread_mutex_lock (mutex=0x10e4af0) at pthread_mutex_lock.c:85
> #3  0x00007f8fe8b6028e in osl_acquireMutex (Mutex=0x10e4af0) at lo/core/sal/osl/unx/mutex.c:114
> #4  0x00007f8fe40114f6 in vcl::SolarMutexObject::acquire (this=0x10e4aa0) at lo/core/vcl/source/app/solarmutex.cxx:35
> #5  0x00007f8fe45b5be4 in SalYieldMutex::acquire (this=0x10e4aa0) at lo/core/vcl/generic/app/geninst.cxx:49
> #6  0x00007f8fd6ff8e8c in GtkHookedYieldMutex::acquire (this=0x10e4aa0) at lo/core/vcl/unx/gtk/app/gtkinst.cxx:91
> #7  0x00007f8fe54710a7 in tools::SolarMutex::Acquire () at lo/core/tools/source/misc/solarmutex.cxx:34
> #8  0x00007f8fe4d34b5b in utl::ConfigChangeListener_Impl::changesOccurred (this=0x7f8fd4081b10, rEvent=...) at lo/core/unotools/source/config/configitem.cxx:193
> #9  0x00007f8fd4fbcaf7 in configmgr::Broadcaster::send (this=0x7f8fd49d73f0) at lo/core/configmgr/source/broadcaster.cxx:187
> #10 0x00007f8fd500153d in configmgr::update::(anonymous namespace)::Service::insertExtensionXcuFile (this=0x7f8fbe7b1528, shared=0 '\000', fileUri="file://.config/libreoffice/4/user/uno_packages/cache/registry/com.sun.star.comp.deployment.configuration.PackageRegistryBackend/lufrchtm.tmp/Addons.xcu") at lo/core/configmgr/source/update.cxx:117
> #11 0x00007f8fa14034f9 in dp_registry::backend::configuration::(anonymous namespace)::BackendImpl::PackageImpl::processPackage_ (this=0x7f8fbe843908, doRegisterPackage=true, startup=false, xCmdEnv=empty uno::Reference) at lo/core/desktop/source/deployment/registry/configuration/dp_configuration.cxx:733
> #12 0x00007f8fa140b5a7 in dp_registry::backend::Package::processPackage_impl (this=0x7f8fbe843908, doRegisterPackage=true, startup=false, xAbortChannel=uno::Reference to (XInterface) 0x7f8fbe86f8f0, xCmdEnv=empty uno::Reference) at lo/core/desktop/source/deployment/registry/dp_backend.cxx:669
^^^ acquired Package(0x7f8fbe87a0d0)'s lock
> #13 0x00007f8fa140bc6d in dp_registry::backend::Package::registerPackage (this=0x7f8fbe843908, startup=0 '\000', xAbortChannel=uno::Reference to (XInterface) 0x7f8fbe86f8f0, xCmdEnv=empty uno::Reference) at lo/core/desktop/source/deployment/registry/dp_backend.cxx:726
> #14 0x00007f8fa14342dd in dp_registry::backend::bundle::(anonymous namespace)::BackendImpl::PackageImpl::processPackage_ (this=0x7f8fbe87a0d0, doRegisterPackage=true, startup=false, abortChannel=rtl::Reference to {<cppu::WeakImplHelper1<com::sun::star::task::XAbortChannel>> = {<cppu::OWeakObject> = {<com::sun::star::uno::XWeak> = {<com::sun::star::uno::XInterface> = {_vptr.XInterface = 0x7f8fe7d03410 <vtable for dp_misc::AbortChannel+16>}, <No data fields>}, m_refCount = 5, m_pWeakConnectionPoint = 0x0, m_pReserved = 0x7364616f6c6e776f}, <com::sun::star::lang::XTypeProvider> = {<com::sun::star::uno::XInterface> = {_vptr.XInterface = 0x7f8fe7d03468 <vtable for dp_misc::AbortChannel+104>}, <No data fields>}, <com::sun::star::task::XAbortChannel> = {<com::sun::star::uno::XInterface> = {_vptr.XInterface = 0x7f8fe7d034a0 <vtable for dp_misc::AbortChannel+160>}, <No data fields>}, <No data fields>}, m_aborted = false, m_xNext = uno::Reference to (XInterface) 0x7f8fbe86f8f0}, xCmdEnv=empty uno::Reference) at lo/core/desktop/source/deployment/registry/package/dp_package.cxx:863
> #15 0x00007f8fa140b5a7 in dp_registry::backend::Package::processPackage_impl (this=0x7f8fbe87a0d0, doRegisterPackage=true, startup=false, xAbortChannel=uno::Reference to (XInterface) 0x7f8fd5fd00d8, xCmdEnv=empty uno::Reference) at lo/core/desktop/source/deployment/registry/dp_backend.cxx:669
> #16 0x00007f8fa140bc6d in dp_registry::backend::Package::registerPackage (this=0x7f8fbe87a0d0, startup=0 '\000', xAbortChannel=uno::Reference to (XInterface) 0x7f8fd5fd00d8, xCmdEnv=empty uno::Reference) at lo/core/desktop/source/deployment/registry/dp_backend.cxx:726
> #17 0x00007f8fa1397508 in dp_manager::ExtensionManager::activateExtension (this=0x7f8fa17133d0, seqExt=uno::Sequence of length 3 = {...}, bUserDisabled=false, bStartup=false, xAbortChannel=uno::Reference to (XInterface) 0x7f8fd5fd00d8, xCmdEnv=empty uno::Reference) at lo/core/desktop/source/deployment/manager/dp_extensionmanager.cxx:488
> #18 0x00007f8fa13972eb in dp_manager::ExtensionManager::activateExtension (this=0x7f8fa17133d0, identifier="de.deutschepost.ooeporto.OOEporto", fileName="ep_oo_writer_addin_v_1_0-MOD.oxt", bUserDisabled=false, bStartup=false, xAbortChannel=uno::Reference to (XInterface) 0x7f8fd5fd00d8, xCmdEnv=empty uno::Reference) at lo/core/desktop/source/deployment/manager/dp_extensionmanager.cxx:440
> #19 0x00007f8fa1398bbf in dp_manager::ExtensionManager::addExtension (this=0x7f8fa17133d0, url="file://Downloads/ep_oo_writer_addin_v_1_0-MOD.oxt", properties=empty uno::Sequence, repository="user", xAbortChannel=uno::Reference to (XInterface) 0x7f8fd5fd00d8, xCmdEnv=uno::Reference to (XInterface) 0x7f8fb744b6b0) at lo/core/desktop/source/deployment/manager/dp_extensionmanager.cxx:755
> #20 0x00007f8fa02e2205 in dp_gui::ExtensionCmdQueue::Thread::_addExtension (this=0x254f360, rCmdEnv=rtl::Reference to {<cppu::WeakImplHelper3<com::sun::star::ucb::XCommandEnvironment, com::sun::star::task::XInteractionHandler, com::sun::star::ucb::XProgressHandler>> = {<cppu::OWeakObject> = {<com::sun::star::uno::XWeak> = {<com::sun::star::uno::XInterface> = {_vptr.XInterface = 0x7f8fa057a890 <vtable for dp_gui::ProgressCmdEnv+16>}, <No data fields>}, m_refCount = 2, m_pWeakConnectionPoint = 0x0, m_pReserved = 0x6d006f0063005f}, <com::sun::star::lang::XTypeProvider> = {<com::sun::star::uno::XInterface> = {_vptr.XInterface = 0x7f8fa057a910 <vtable for dp_gui::ProgressCmdEnv+144>}, <No data fields>}, <com::sun::star::ucb::XCommandEnvironment> = {<com::sun::star::uno::XInterface> = {_vptr.XInterface = 0x7f8fa057a948 <vtable for dp_gui::ProgressCmdEnv+200>}, <No data fields>}, <com::sun::star::task::XInteractionHandler> = {<com::sun::star::uno::XInterface> = {_vptr.XInterface = 0x7f8fa057a980 <vtable for dp_gui::ProgressCmdEnv+256>}, <No data fields>}, <com::sun::star::ucb::XProgressHandler> = {<com::sun::star::uno::XInterface> = {_vptr.XInterface = 0x7f8fa057a9b0 <vtable for dp_gui::ProgressCmdEnv+304>}, <No data fields>}, <No data fields>}, m_xHandler = empty uno::Reference, m_xContext = uno::Reference to (XInterface) 0x7f8fd7510dd8, m_xAbortChannel = uno::Reference to (XInterface) 0x7f8fd5fd00d8, m_pDialogHelper = 0x1c985f8, m_sTitle = "Add Extension(s)", m_bAborted = false, m_bWarnUser = false, m_nCurrentProgress = 0}, rPackageURL="file://Downloads/ep_oo_writer_addin_v_1_0-MOD.oxt", rRepository="user", bWarnUser=false) at lo/core/desktop/source/deployment/gui/dp_gui_extensioncmdqueue.cxx:887
> #21 0x00007f8fa02e18d8 in dp_gui::ExtensionCmdQueue::Thread::execute (this=0x254f360) at lo/core/desktop/source/deployment/gui/dp_gui_extensioncmdqueue.cxx:767
> #22 0x00007f8fe7673a98 in salhelper::Thread::run (this=0x254f360) at lo/core/salhelper/source/thread.cxx:60
> #23 0x00007f8fe7673e6d in osl::threadFunc (param=0x254f370) at lo/core/solver/unxlngx6/inc/osl/thread.hxx:187
> #24 0x00007f8fe8b6ad2b in osl_thread_start_Impl (pData=0x1ca0040) at lo/core/sal/osl/unx/thread.c:252
> #25 0x0000003c80a07d15 in start_thread (arg=0x7f8fd49d9700) at pthread_create.c:308
> #26 0x0000003c806f246d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114

> Thread 1 (Thread 0x7f8fde131800 (LWP 5653)):
> #0  __lll_lock_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:135
> #1  0x0000003c80a09cc1 in _L_lock_885 () from /lib64/libpthread.so.0
> #2  0x0000003c80a09bda in __GI___pthread_mutex_lock (mutex=0x7f8f380156f0) at pthread_mutex_lock.c:85
> #3  0x00007f8fe8b6028e in osl_acquireMutex (Mutex=0x7f8f380156f0) at lo/core/sal/osl/unx/mutex.c:114
> #4  0x00007f8fa138a0a7 in osl::Mutex::acquire (this=0x7f8fbe87a130) at lo/core/solver/unxlngx6/inc/osl/mutex.hxx:58
> #5  0x00007f8fa13d44d8 in osl::ClearableGuard<osl::Mutex>::ClearableGuard (this=0x7ffff910c4e0, t=...) at lo/core/solver/unxlngx6/inc/osl/mutex.hxx:177
> #6  0x00007f8fa13d3e17 in osl::ResettableGuard<osl::Mutex>::ResettableGuard (this=0x7ffff910c4e0, rT=...) at lo/core/solver/unxlngx6/inc/osl/mutex.hxx:223
> #7  0x00007f8fa140afcf in dp_registry::backend::Package::isRegistered (this=0x7f8fbe87a0d0, xAbortChannel=empty uno::Reference, xCmdEnv=empty uno::Reference) at lo/core/desktop/source/deployment/registry/dp_backend.cxx:611
^^^ trying to acquire Package(0x7f8fbe87a0d0)'s lock
> #8  0x00007f8f90d59040 in chelp::ExtensionIteratorBase::implGetHelpPackageFromPackage (this=0x7ffff910c8d0, xPackage=uno::Reference to (XInterface) 0x7f8fbe87a120, o_xParentPackageBundle=empty uno::Reference) at lo/core/xmlhelp/source/cxxhelp/provider/databases.cxx:1335
> #9  0x00007f8f90d5976e in chelp::ExtensionIteratorBase::implGetNextUserHelpPackage (this=0x7ffff910c8d0, o_xParentPackageBundle=empty uno::Reference) at lo/core/xmlhelp/source/cxxhelp/provider/databases.cxx:1402
> #10 0x00007f8f90d5a7c5 in chelp::DataBaseIterator::nextHdf (this=0x7ffff910c8d0, o_pExtensionPath=0x7ffff910c990, o_pExtensionRegistryPath=0x7ffff910c980) at lo/core/xmlhelp/source/cxxhelp/provider/databases.cxx:1569
> #11 0x00007f8f90da6836 in chelp::URLParameter::readHelpDataFile (this=0x7f8fbe8442d8) at lo/core/xmlhelp/source/cxxhelp/provider/urlparameter.cxx:287
> #12 0x00007f8f90da64fd in chelp::URLParameter::get_the_tag (this=0x7f8fbe8442d8) at lo/core/xmlhelp/source/cxxhelp/provider/urlparameter.cxx:214
> #13 0x00007f8f90da6189 in chelp::URLParameter::get_tag (this=0x7f8fbe8442d8) at lo/core/xmlhelp/source/cxxhelp/provider/urlparameter.cxx:151
> #14 0x00007f8f90d491fa in chelp::Content::getPropertyValues (this=0x7f8fbe844228, rProperties=uno::Sequence of length 1 = {...}) at lo/core/xmlhelp/source/cxxhelp/provider/content.cxx:557
> #15 0x00007f8f90d47968 in chelp::Content::execute (this=0x7f8fbe844228, aCommand=..., CommandId=1, Environment=empty uno::Reference) at lo/core/xmlhelp/source/cxxhelp/provider/content.cxx:315
> #16 0x00007f8fe511e7de in ucbhelper::Content_Impl::executeCommand (this=0x24171b0, rCommand=...) at lo/core/ucbhelper/source/client/content.cxx:1295
> #17 0x00007f8fe511a6f9 in ucbhelper::Content::getPropertyValuesInterface (this=0x7ffff910d360, rPropertyNames=uno::Sequence of length 1 = {...}) at lo/core/ucbhelper/source/client/content.cxx:498
> #18 0x00007f8fe511a42a in ucbhelper::Content::getPropertyValues (this=0x7ffff910d360, rPropertyNames=uno::Sequence of length 1 = {...}) at lo/core/ucbhelper/source/client/content.cxx:456
> #19 0x00007f8fe511a248 in ucbhelper::Content::getPropertyValue (this=0x7ffff910d360, rPropertyName="AnchorName") at lo/core/ucbhelper/source/client/content.cxx:432
> #20 0x00007f8fe6e4a277 in GetHelpAnchor_Impl (_rURL="vnd.sun.star.help://swriter/desktop%2Fui%2Fextensionmanager%2Fgetextensions?Language=en-US&System=UNIX&Version=4.1", _rAnchor="") at lo/core/sfx2/source/appl/sfxhelp.cxx:183
> #21 0x00007f8fe6e4bef0 in SfxHelp::CreateHelpURL_Impl (this=0x1ba00e0, aCommandURL="desktop/ui/extensionmanager/getextensions", rModuleName="swriter") at lo/core/sfx2/source/appl/sfxhelp.cxx:527
> #22 0x00007f8fe6e4e00c in SfxHelp::CreateHelpURL (aCommandURL="desktop/ui/extensionmanager/getextensions", rModuleName="swriter") at lo/core/sfx2/source/appl/sfxhelp.cxx:804
> #23 0x00007f8fe6e4abff in SfxHelp_Impl::GetHelpText (aCommandURL="desktop/ui/extensionmanager/getextensions", rModule="swriter") at lo/core/sfx2/source/appl/sfxhelp.cxx:328
> #24 0x00007f8fe6e4c7ba in SfxHelp::GetHelpText (this=0x1ba00e0, aCommandURL="desktop/ui/extensionmanager/getextensions", pWindow=0x254e090) at lo/core/sfx2/source/appl/sfxhelp.cxx:596
> #25 0x00007f8fe458eb14 in Window::GetHelpText (this=0x254e090) at lo/core/vcl/source/window/window.cxx:7939
> #26 0x00007f8fe4583068 in Window::RequestHelp (this=0x254e090, rHEvt=...) at lo/core/vcl/source/window/window.cxx:4897
> #27 0x00007f8fe4083661 in FixedHyperlink::RequestHelp (this=0x254e090, rHEvt=...) at lo/core/vcl/source/control/fixedhyper.cxx:76
> #28 0x00007f8fe45a197b in ImplHandleMouseHelpRequest (pChild=0x254e090, rMousePos=Point = {...}) at lo/core/vcl/source/window/winproc.cxx:245
> #29 0x00007f8fe45a3664 in ImplHandleMouseEvent (pWindow=0x1c98380, nSVEvent=3, bMouseLeave=0 '\000', nX=59, nY=407, nMsgTime=9926986, nCode=0, nMode=17) at lo/core/vcl/source/window/winproc.cxx:822
> #30 0x00007f8fe45a8dd3 in ImplHandleSalMouseMove (pWindow=0x1c98380, pEvent=0x7ffff910e010) at lo/core/vcl/source/window/winproc.cxx:2044
> #31 0x00007f8fe45a7fe7 in ImplWindowFrameProc (pWindow=0x1c98380, nEvent=1, pEvent=0x7ffff910e010) at lo/core/vcl/source/window/winproc.cxx:2365
> #32 0x00007f8fd7031c0d in SalFrame::CallCallback (this=0x1dbc600, nEvent=1, pEvent=0x7ffff910e010) at lo/core/vcl/inc/salframe.hxx:263
> #33 0x00007f8fd702e15e in GtkSalFrame::signalMotion (pEvent=0x1c89c10, frame=0x1dbc600) at lo/core/vcl/unx/gtk/window/gtkframe.cxx:3061
> #34 0x0000003dbdd4da3c in _gtk_marshal_BOOLEAN__BOXED (closure=0x240b530, return_value=0x7ffff910e1f0, n_param_values=<optimized out>, param_values=0x7ffff910e2a0, invocation_hint=<optimized out>, marshal_data=<optimized out>) at gtkmarshalers.c:86
> #35 0x000000322340f910 in g_closure_invoke (closure=0x240b530, return_value=return_value@entry=0x7ffff910e1f0, n_param_values=2, param_values=param_values@entry=0x7ffff910e2a0, invocation_hint=invocation_hint@entry=0x7ffff910e240) at gclosure.c:777
> #36 0x0000003223420d08 in signal_emit_unlocked_R (node=node@entry=0x114e170, detail=detail@entry=0, instance=instance@entry=0x117cbe0, emission_return=emission_return@entry=0x7ffff910e370, instance_and_params=instance_and_params@entry=0x7ffff910e2a0) at gsignal.c:3551
> #37 0x00000032234288c7 in g_signal_emit_valist (instance=0x117cbe0, signal_id=<optimized out>, detail=0, var_args=var_args@entry=0x7ffff910e4f8) at gsignal.c:3310
> #38 0x0000003223428de2 in g_signal_emit (instance=instance@entry=0x117cbe0, signal_id=<optimized out>, detail=detail@entry=0) at gsignal.c:3356
> #39 0x0000003dbde814be in gtk_widget_event_internal (widget=widget@entry=0x117cbe0, event=event@entry=0x1c89c10) at gtkwidget.c:5017
> #40 0x0000003dbde81839 in IA__gtk_widget_event (widget=widget@entry=0x117cbe0, event=event@entry=0x1c89c10) at gtkwidget.c:4814
> #41 0x0000003dbdd4b804 in IA__gtk_propagate_event (widget=0x117cbe0, event=0x1c89c10) at gtkmain.c:2490
> #42 0x0000003dbdd4bb6b in IA__gtk_main_do_event (event=0x1c89c10) at gtkmain.c:1685
> #43 0x0000003dbe461eec in gdk_event_dispatch (source=source@entry=0x111e670, callback=<optimized out>, user_data=<optimized out>) at gdkevents-x11.c:2403
> #44 0x0000003222c47a55 in g_main_dispatch (context=0x111e760) at gmain.c:2715
> #45 g_main_context_dispatch (context=context@entry=0x111e760) at gmain.c:3219
> #46 0x0000003222c47d88 in g_main_context_iterate (context=context@entry=0x111e760, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3290
> #47 0x0000003222c47e44 in g_main_context_iteration (context=0x111e760, may_block=1) at gmain.c:3351
> #48 0x00007f8fd6ff6280 in GtkData::Yield (this=0x10e5db0, bWait=true, bHandleAllCurrentEvents=false) at lo/core/vcl/unx/gtk/app/gtkdata.cxx:587
> #49 0x00007f8fd6ff9e40 in GtkInstance::Yield (this=0x10e5d30, bWait=true, bHandleAllCurrentEvents=false) at lo/core/vcl/unx/gtk/app/gtkinst.cxx:563
> #50 0x00007f8fe4016356 in ImplYield (i_bWait=true, i_bAllEvents=false) at lo/core/vcl/source/app/svapp.cxx:429
> #51 0x00007f8fe4012715 in Application::Yield (i_bAllEvents=false) at lo/core/vcl/source/app/svapp.cxx:463
> #52 0x00007f8fe40126b6 in Application::Execute () at lo/core/vcl/source/app/svapp.cxx:408
> #53 0x00007f8fe887bb7b in desktop::Desktop::Main (this=0x7ffff910ee30) at lo/core/desktop/source/app/app.cxx:1690
> #54 0x00007f8fe401db77 in ImplSVMain () at lo/core/vcl/source/app/svmain.cxx:163
> #55 0x00007f8fe401dca4 in SVMain () at lo/core/vcl/source/app/svmain.cxx:200
> #56 0x00007f8fe88be4c6 in soffice_main () at lo/core/desktop/source/app/sofficemain.cxx:73
> #57 0x0000000000400998 in sal_main () at lo/core/desktop/source/app/main.c:48
> #58 0x0000000000400979 in main (argc=1, argv=0x7ffff910f018) at lo/core/desktop/source/app/main.c:47
Comment 1 Alex Thurgood 2015-01-03 17:40:30 UTC Comment hidden (no-value)
Comment 2 QA Administrators 2016-01-17 20:03:11 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2017-03-06 14:05:23 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.5 or 5.3.0  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170306